import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.rst')).read()
CHANGES = open(os.path.join(here, 'CHANGES.rst')).read()

requires = [
    'clue_script >= 0.3',
    'clue_sqlaloader',
    'setuptools',
    'pyramid',
    'SQLAlchemy',
    'WebError',
    ]

setup(name='khufu_script',
      version='0.6.1',
      description='Manage script support for Khufu/Pyramid apps',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP :: WSGI",
        ],
      license='BSD',
      author='Rocky Burt',
      author_email='rocky@serverzen.com',
      url='https://github.com/khufuproject/khufu_script',
      keywords='pyramid khufu clue_script manage script syncdb loaddata',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="khufu_script.tests",
      )
